### Class

# Meta BackgroundImageCache

since: 13

#### Description [src]

    final class Meta.BackgroundImageCache : GObject.Object
    {
      /* No available fields */
    }

Caches loading of textures for backgrounds.

There’s actually nothing background specific about it, other than it is tuned to work well for large images as typically are used for backgrounds.

Available since: 13

#### Ancestors

- GObject

#### Functions

###### meta_background_image_cache_get_default

No description available.

since: 13

#### Instance methods

###### meta_background_image_cache_load

Loads an image to use as a background, or returns a reference to an image that is already in the process of loading or loaded.

since: 13

###### meta_background_image_cache_purge

Remove an entry from the cache; this would be used if monitoring showed that the file changed.

since: 13

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct MetaBackgroundImageCacheClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.